#{extends 'border.html'/}
<div class="container">
#{form @cms.PollingCtr.editSubmit(), method:'POST', class: 'form-horizontal'}

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{cms.PollingCtr.index()}">&{'polling.label'}</a></li>
                <li class="active">&{'ubah.label'} &{'polling.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@cms.PollingCtr.index()/}
            	#{saveButton/}
            </div>
            #{alert /}
        </div>
    </div>
    <!-- End Toolbar -->
    
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'status.label'}</label>
                        <div class="col-md-3">
                            <select name="status" class="form-control">
                                <option value="published" ${viewPol.status == "published" ? "selected" : ""}>&{'published.label'}</option>
                                <option value="draft" ${viewPol.status == "draft" ? "selected" : ""}>&{'draft.label'}</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'subjek.label'}</label>
                        <div class="col-md-5">
                            <input type="text" name="subjek" value="${viewPol.subjek}" class="form-control alphanumeric" required>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'tanggal_mulai_publikasi.label'}</label>
                        <div class="col-md-3">
                            <input type="text" class="form-control" name="publish_date_from" id="publish_date_from" value="${publish_date_from}" required>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'tanggal_akhir_publikasi.label'}</label>
                        <div class="col-md-3">
                            <input type="text" class="form-control" name="publish_date_end" id="publish_date_end" value="${publish_date_to}">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'deskripsi.label'}</label>
                        <div class="col-md-5">
                            <textarea rows="10" class="form-control" style="resize:vertical" id="deskripsi" name="deskripsi">${viewPol.deskripsi_singkat}</textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <input type="hidden" name="data_id" id="data_id" value="${viewPol.id}">
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="toolbar">
                        <a id="tambah_pilihan" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'} &{'pilihan.label'}</a>
                    </div>
                    <div style="overflow-x: auto">
                        <table class="table table-condensed" id="tblPilihan">
                            <thead>
                            <tr>
                                <th></th>
                                <th>&{'nama.label'}</th>
                            </tr>
                            </thead>
                            <tbody>
                                #{if pilihanList == []}
                                <tr>
                                    <td class="col-md-1">
                                        <button class="btn btn-danger" id="hapus_pilihan"><i class="fa fa-trash"></i></button>
                                    </td>
                                    <td class="col-md-10">
                                        <input type="text" name="nama_pilihan" class="form-control">
                                    </td>
                                </tr>
                                #{/if}
                                #{else }
                                #{list pilihanList, as:'pilihan'}
                                <tr>
                                    <td class="col-md-1">
                                        <button class="btn btn-danger" id="hapus_pilihan"><i class="fa fa-trash"></i></button>
                                    </td>
                                    <td class="col-md-10">
                                        <input type="text" name="nama_pilihan" value="${pilihan.pilihan_jawaban}" class="form-control">
                                    </td>
                                </tr>
                                #{/list}
                                #{/else}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{validationPackage/}
#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function(){
        $('#publish_date_from').datetimepicker({
            locale: 'id',
            format: 'DD-MM-YYYY HH:mm'
        });

        $('#publish_date_end').datetimepicker({
            locale: 'id',
            format: 'DD-MM-YYYY HH:mm'
        });

        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        $('#tambah_pilihan').on('click', function(){
            var str = "<tr>" +
                    "<td class='col-md-1'><button class='btn btn-danger' id='hapus_pilihan'><i class='fa fa-trash'></i></button></td>" +
                    "<td class='col-md-10'><input type='text' name='nama_pilihan' class='form-control'></td>" +
                    "</tr>";
            $('#tblPilihan').append(str);
        });

        $('body').on('click', '#hapus_pilihan', function(){
            $(this).parent().parent().remove();
        });
    });
</script>
#{/set}